Vraag & Antwoord

OS Linux

Frequent updaten.

Anoniem
danieldk
62 antwoorden
  • Hallo,

    Ik vroeg mij eigelijk af hoe jullie het volgende oplosten.
    Veel programmas die in ontwikkeling zijn schieten vrij rap in versienummer omhoog.
    Gaim is daar een mooi voorbeeld van, die moet je regelmatig updaten, omdat je anders niet meer van bepaalde netwerken gebruik kunt maken.

    Ik draai slackware en moet dan elke keer weer de source opnieuw compileren (na de documentatie goed te hebben gelezen, want soms moet je namelijk ook nog oude componenten verwijderen).
    Hoe pakken jullie dit aan ?
    Gewoonweg een paar keer per maand bepaalde programmas opnieuw compileren, of kan het ook op een andere mannier ?
  • In het geval van Slackware kun je -current volgen, in -current wordt de meeste software frequent vernieuwd. In -current kan er wel af en toe wat breken (daarom is het geen release ;)).

    Zie ook: http://www.slackware.com/changelog/current.php?cpu=i386
  • [quote:4970869f2c="danieldk"]In het geval van Slackware kun je -current volgen, in -current wordt de meeste software frequent vernieuwd. In -current kan er wel af en toe wat breken (daarom is het geen release ;)).

    Zie ook: http://www.slackware.com/changelog/current.php?cpu=i386[/quote:4970869f2c]
    Oké, maar er zijn heel veel programma's die daar ook niet in staan.
    Vooral voor de wat grotere programma's staat mijn pc al gauw een uur of langer te compileren.
    Is daar niet iets handigers voor ?
    Op zich is het niet een probleem dat het wat tijd kost, maar als je om de twee weken weer opnieuw kan beginnen, omdat het programma anders niet meer werkt of omdat er bugs in zitten.

    Wat dat betreft is het zijn .deb packeges handig, die staan er altijd maar zo op.

    Ik vroeg mij af hoe jullie dit normaal gesproken aanpakken, want als ik een beetje up2date wil blijven dan ben ik vaker aan het sleutelen dan dat ik daadwerkelijk met mijn pc kan werken…
  • Je zou kunnen kijken of LinuxPackages dat pakket ook heeft… heeft die het niet dan kan je overwegen om zelf dat package te maintainen voor LinuxPackages… aangezien je het toch voor jezelf moet bakken.

    Doe ik ook voor 2 packages (ClamAV, Sendmail en RRDTools) ok ok dat zijn er 3.
  • Kun jij na 2 weken niet meer met de software weken omdat er bugs inzitten of omdat het anders niet meer werkt? :-?
    Dan vraag ik me toch af wat voor software jij gebruikt, want als software nu goed functioneert en je ermee kunt werken doet dat het over 2 weken nog steeds hoor, het is geen Windows. Ik haal alleen de updates uit patches/packages op van Slack omdat dat meestal securi-updates zijn en die zijn belangrijk, maar verder boeien nieuwe versies me niet als de oude gewoon werken. GAIM heb je hooguit 1 keer up moeten daten, omdat het MSN protocol veranderde, de oplossing daarvan is simpel: gebruik een fatsoenlijk opensource protocol alias jabber.
  • Ik onderhield ook een rij packages op linuxpackages.net, maar de gemiddelde kwaliteit van de packages daar is niet echt geweldig. Zelf kom ik aardig ver met de packages die standaard in Slack zitten. Maar als je wat extra zaken wilt hebben als GNUCash, dan wordt het als snel een betrekkelijk grote klus, daarom is het verstandig zoveel mogelijk standaard *nix tools te leren gebruiken, dan heb je ook niet veel nodig ;). Met een shell, vi/emacs, LaTeX, X, mutt en wat andere zut kom je al erg ver.

    Als je veel packages snel wilt kunnen installeren, dan is Slack misschien niet de goede distro voor je…
  • Als ik eerlijk ben vertrouw ik eigenlijk maar 2 soorten packages…. die van Patrick en die van mezelf :D
  • Ik houd slackware nu up to date met iets dat ik eerst vervloekte: SWARET
    En ik moet zeggen het werkt perfect. Wel raad ik je aan om swaret niet zomaar te gebruiken want ik heb er al een systeempje mee om zeep geholpen.
  • ook welkom hier messiah :D
  • Een van de grootste dingen waar ik me aan ergerde bij een aantal distro's (waaronder slack): het ontbreken van goede update tools (die meer doen dan de nodige security fixes). Vandaar dat ik Debian gebruik, maar steeds meer distro's komen met een of andere vorm van update tools.

    Ik vraag me nu dus ook weer ff af: is er vooruitgang op dit gebied in slack? Ik zie swaret wel eens langskomen enzo, maar hoe werkt dat precies? Wat kun je er wel en niet van verwachten en waar is het mee te vergelijken? Ervaringen etc…

    -Roeland
  • Ik snap je sentiment wel roeland…. maar de meeste slackers zijn dik tevreden met het handmatig up to date houden…. swaret en apt get achtige dingen scripten ze meestal zelf wel…… ik update ook meerdere servers met 1 commando en gebruik geen swaret oid
  • Hoe ik dat oplos?
    Nou, momenteel draai ik kde 3.2.1, welke in februari is uitgebracht.
    De huidige KDE is enkele versies verder (kde 3.2.3 en over 2 weken KDE 3.3), maar een upgrade is niet per se noodzakelijk.

    Dat je GAIM regelmatig moet upgraden klopt niet, dat is enkel het geval als een bepaalde IM-aanbieder van netwerkprotocol veranderd. Laatste keer dat dat gebeurde was volgens mij vorig jaar oktober, toen MS haar protocol beter beveilidgde.


    Wil je graag goed up to dat blijven, overweeg dan een distro te gebruiken waarbij dat automatisch kan, zoals Gentoo of Debian.

    Max
  • [quote:687d3b44f5="rhkok"]Een van de grootste dingen waar ik me aan ergerde bij een aantal distro's (waaronder slack): het ontbreken van goede update tools (die meer doen dan de nodige security fixes). Vandaar dat ik Debian gebruik, maar steeds meer distro's komen met een of andere vorm van update tools.

    Ik vraag me nu dus ook weer ff af: is er vooruitgang op dit gebied in slack? Ik zie swaret wel eens langskomen enzo, maar hoe werkt dat precies? Wat kun je er wel en niet van verwachten en waar is het mee te vergelijken? Ervaringen etc…

    -Roeland[/quote:687d3b44f5]

    Kijk eens op http://www.swaret.org/ zou ik zo zeggen. Ik ben er erg tevreden over wel heb ik de dependency check van swaret uitgezet zodat ik toch maximale controle over mijn eigen systeem behoud.

    Ik zou geen nadelen weten aan het gebruik van swaret mits je wel het een en ander goed geconfigureerd hebt (swaret.conf).
  • Veel liever niets dan Swaret. Bovendien lijkt slackpkg de standaard packagetool van Slack te worden (zie de extra/ directory op je Slack CD set of FTP mirror).

    [quote:7202bb2606]
    Ik zou geen nadelen weten aan het gebruik van swaret mits je wel het een en ander goed geconfigureerd hebt (swaret.conf).
    [/quote:7202bb2606]

    Nee, swaret helpt alleen af en toe systemen om zeep. Maar als je daar mee kunt leven…
  • [quote:b6cc985464="Bilbo"]Je zou kunnen kijken of LinuxPackages dat pakket ook heeft… heeft die het niet dan kan je overwegen om zelf dat package te maintainen voor LinuxPackages… aangezien je het toch voor jezelf moet bakken.

    Doe ik ook voor 2 packages (ClamAV, Sendmail en RRDTools) ok ok dat zijn er 3.[/quote:b6cc985464]
    Dat klinkt leuk, maar daar moet ik mij dan eerst wel in verdiepen.
    Ik heb de packetmanager van slackware namelijk ook nog niet gebruikt, ik heb tot nu toe steeds voor de source gekozen.
    [quote:b6cc985464="Marcel de Reus"]Kun jij na 2 weken niet meer met de software weken omdat er bugs inzitten of omdat het anders niet meer werkt? :-?
    Dan vraag ik me toch af wat voor software jij gebruikt, want als software nu goed functioneert en je ermee kunt werken doet dat het over 2 weken nog steeds hoor, het is geen Windows. Ik haal alleen de updates uit patches/packages op van Slack omdat dat meestal securi-updates zijn en die zijn belangrijk, maar verder boeien nieuwe versies me niet als de oude gewoon werken. GAIM heb je hooguit 1 keer up moeten daten, omdat het MSN protocol veranderde, de oplossing daarvan is simpel: gebruik een fatsoenlijk opensource protocol alias jabber.[/quote:b6cc985464]
    Ja, ik weet dat er alternativen zijn als jabber, ik overweeg zelfs om eens een eigen jabber server (intern) te draaien, maar zolang bijna al mijn kennissen via msn werken…, dan heb je niet veel keus.
    Gaim gaat rap in versie nummer omhoog en ik heb regelmatig dat ik moet upgraden, omdat ik er anders simpelweg niet meer mee kan werken.
    Dan wordt ik niet toegelaten op het netwerk.
    Momenteel gebruik ik 0.78 en 0.80 is al uit, dus ik zal binnenkort maar weer upgraden…momenteel wordt ik er namelijk om de 15 seconden uitgegooid.
    Waarom dit gebeurt weet ik niet, maar ik weet dat het na een upgrade meestal weer een tijd goed gaat.
    [quote:b6cc985464="maximilaan"]Hoe ik dat oplos?
    Nou, momenteel draai ik kde 3.2.1, welke in februari is uitgebracht.
    De huidige KDE is enkele versies verder (kde 3.2.3 en over 2 weken KDE 3.3), maar een upgrade is niet per se noodzakelijk.

    Dat je GAIM regelmatig moet upgraden klopt niet, dat is enkel het geval als een bepaalde IM-aanbieder van netwerkprotocol veranderd. Laatste keer dat dat gebeurde was volgens mij vorig jaar oktober, toen MS haar protocol beter beveilidgde.


    Wil je graag goed up to dat blijven, overweeg dan een distro te gebruiken waarbij dat automatisch kan, zoals Gentoo of Debian.

    Max[/quote:b6cc985464]
    Het is niet zo dat ik continu bij wil blijven met de meest recente versies of zo hoor, maar in het geval van gaim is het voor mij noodzakelijk.
    Misschien kan ik beter maar eens om een ander im client zoeken…
    Andere distrubuties heb ik wel geprobeerd, maar ik vond slack wel fijn.
    Ik zal enkele opties die hier besproken zijn zoals swaret en linuxpackages gaan proberen en als het mij niet bevalt kan ik het altijd weer verwijderen.
  • [quote:9746ffe870="danieldk"]Veel liever niets dan Swaret. Bovendien lijkt slackpkg de standaard packagetool van Slack te worden (zie de extra/ directory op je Slack CD set of FTP mirror).

    [quote:9746ffe870]
    Ik zou geen nadelen weten aan het gebruik van swaret mits je wel het een en ander goed geconfigureerd hebt (swaret.conf).
    [/quote:9746ffe870]

    Nee, swaret helpt alleen af en toe systemen om zeep. Maar als je daar mee kunt leven…[/quote:9746ffe870]

    Swaret stond vroeger ook in de /extra directory. Slackpkg heeft 1 groot nadeel ten opzichte van Swaret en dat is dat je alleen per package of per directory tree kan zien of er nieuwe packages zijn. Swaret geeft een overzicht van alle nieuwe packages swaret –upgrade :)

    En inderdaad ik heb ook een systeempje met Swaret om zeep geholpen, maar dat lag meer aan mij dan aan Swaret. Slackers die Swaret goed configureren en een beetje nadenken hebben een supertooltje in handen denk ik :)

    Bij Swaret is het zo of je haat het of je zweert erbij. Op linuxpackages.net zijn daar al hele flame-wars door ontstaan. Hier toch niet hopelijk :wink:
  • Het is niet zonder reden uit extra/ gedumpt. Het probleem is dan swaret een grote logge script is, terwijl slackpkg in de slackware keep it simple stupid traditie is. Bovendien ben je niet de enige, vrij veel mensen hebben met swaret hun systeem om zeep geholpen.

    Het meest ideale is gewoon een rsync "mirror" te maken en een "upgradepkg */*.tgz" te doen.
  • Bedoel je dat je dan thuis een soort van mirror draait ?
    Of een scriptje die nieuwere bestanden binnenhaalt.
    Dit werkt zeker ook alleen voor slackware packages hé en niet voor zelf gecompileerde sources toch ?
  • [quote:5509e54629="rhkok"][quote:5509e54629="Pinky & The Brain"]Debian is idd heel erg fijn met apt-get, alleen de bovengenoemde closed source programmas of programmas die niet onder de gpl vallen worden er dus niet in opgenomen.[/quote:5509e54629]

    Eh? Debian heeft een mooie non-free sectie in haar systeem en biedt meer pakketten aan dan welke distro dan ook ;)

    -Roeland[/quote:5509e54629]
    Oh ?
    Ik had enkele programma's die niet door debian worden aangeboden, omdat het niet gpl zou zijn.
    Misschien moet ik een toevoeging maken in mijn sourcelist dan ?

    Sid is de meest recente debian begijp ik, de bleeding-edge.
    Hoe kan ik dat installeren ?
    Moet ik dan een sarge base-install doen en dan vervolgens een dist-upgrade ?
  • Buiten het feit dat we nogal aan 't afwijken zijn van de vragen van de TS, lijkt me dit allemaal wel interessant :).
    Daniel, in de veronderstelling dat ik uitwijk naar de debian-achtigen, waarom zou ik libranet 2.8.1 ([edit] dat toch ook al verouderd is ondertussen [/edit]) moeten verkiezen boven debian sid?
    Ik weet dat Debian waarschijnlijk iets moeilijker zal zijn om te installeren en configureren, maar daar ben ik niet echt vies van eigenlijk…

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.